Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: Juri Linkov <[email-masked]>
Date: Sun, 23 Sep 2018 01:23:16 +0300

>> 0. emacs -Q
>>
>> 1. C-h e
>>
>> 2. C-x o
>>
>> 3. C-x 2
>>
>> 4. C-x 0
>>
>> It's expected that point will remain where it was visually on the screen,
>
> That screen position will not show any buffer text after C-x 0.  How
> do you want the cursor (I suppose that's what "point" refers to)
> remain there?

Yes, I meant the cursor, but more specifically the cursor in the
selected window (as opposed to cursor-in-non-selected-windows).

>> just will relocate to the window that takes place of the deleted window,
>> but point jumps to an unexpected place in the opposite part of the frame.
>>
>> This is not a regression, but nevertheless very annoying behavior.
>
> What should Emacs do instead?

I believe Emacs could try to select the window that takes screen space
of the deleted window.

I wonder is it possible to define a simple rule in terms of the
window tree, e.g. maybe it is the parent window of the deleted window
that should be selected?  Or it's not guaranteed that the parent
window takes the screen space of the deleted subwindow in the same
window combination?